I ran puppet agent -t and I received the following error. Do you have any idea what may be causing this: Warning: Error 400 on SERVER: Permission denied - /opt/puppetlabs/server/data/puppetserver/yaml/facts [closed]

asked 2016-06-14 08:59:18 -0500

I am running PE 4.5.1 on Centos 7. I am able to deploy to AWS. I was in the process of running puppet agent -t and I received the warning. I'm trying to installed Docker and this seems to be the way to install it via puppet agent -t

edit retag flag offensive reopen merge delete

Closed for the following reason duplicate question by ricktuck
close date 2016-06-23 03:02:31.868379

Comments

are you installing directly on the ec2 or are you running it via the puppet-in-docker containers? If it's in a container, it may be a group/UID mismatch problem

DarylW gravatar imageDarylW ( 2016-06-14 23:43:49 -0500 )edit

Good question. I am running this on a CENTOS 7 VM in our datacenter. I am running the PE server 4.5.1(2016.1) and the agent on the PE server is also 4.5.1(2016.1). puppet support has requested output from a script they provided. I sent it to them this morning. I don't know if you want to hold off

ricktuck gravatar imagericktuck ( 2016-06-15 03:06:15 -0500 )edit

I was talking to the devops engineer who set this up. He first did a "yum install puppet”. Then he realized that he should have installed using "puppet-enterprise-installer”. We setup a new VM and installed using "puppet-enterprise-installer”. puppet agent -t is working now.

ricktuck gravatar imagericktuck ( 2016-06-16 03:19:37 -0500 )edit